<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
		xmlns="http://www.w3.org/1999/xhtml" 
		xmlns:html="http://www.w3.org/1999/xhtml" 
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:m9ls="http://asp.mexmat.net/xmlns/m9ls">
<xsl:output method="html" indent="yes" encoding="UTF-8" />
<xsl:param name='m9ls:output' value='xhtml'/>

<xsl:template match="m9ls:icecast">
	<div class='m9ls-icecast'>
	<table class='m9ls-icecast'>
		<xsl:apply-templates/>
	</table>
	</div>
</xsl:template>

<xsl:template match="m9ls:stream">
	<tr class='m9ls-icecast-stream'>
	<td class='m9ls-icecast-name'>
		<xsl:value-of select='@name'/>
	</td>
	<td class='m9ls-icecast-title'>
		<xsl:choose>
		<xsl:when test='. != ""'>
			<xsl:value-of select='.'/>
		</xsl:when>
		<xsl:otherwise>
			<xsl:text>Информация о треке недоступна</xsl:text>
		</xsl:otherwise>
		</xsl:choose>
	</td>
	<td class='m9ls-icecast-listen'><a href='{@url}.m3u'>Listen</a></td>
	</tr>
</xsl:template>
</xsl:stylesheet>

